## WDS Get Profile Settings request WDS Get Profile Settings request |

## Functions

QmiMessageWdsGetProfileSettingsInput * | qmi_message_wds_get_profile_settings_input_new ()
QmiMessageWdsGetProfileSettingsInput * | qmi_message_wds_get_profile_settings_input_ref ()
void | qmi_message_wds_get_profile_settings_input_unref ()
gboolean | qmi_message_wds_get_profile_settings_input_get_profile_id ()
gboolean | qmi_message_wds_get_profile_settings_input_set_profile_id ()
QmiMessageWdsGetProfileSettingsOutput * | qmi_message_wds_get_profile_settings_output_ref ()
void | qmi_message_wds_get_profile_settings_output_unref ()
gboolean | qmi_message_wds_get_profile_settings_output_get_result ()
gboolean | qmi_message_wds_get_profile_settings_output_get_profile_name ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_type ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_header_compression_type ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_data_compression_type ()
gboolean | qmi_message_wds_get_profile_settings_output_get_apn_name ()
gboolean | qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_get_profile_settings_output_get_umts_requested_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos ()
gboolean | qmi_message_wds_get_profile_settings_output_get_username ()
gboolean | qmi_message_wds_get_profile_settings_output_get_password ()
gboolean | qmi_message_wds_get_profile_settings_output_get_authentication ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp ()
gboolean | qmi_message_wds_get_profile_settings_output_get_imcn_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_context_number ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_context_secondary_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_pdp_context_primary_id ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_umts_requested_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference ()
gboolean | qmi_message_wds_get_profile_settings_output_get_lte_qos_parameters ()
gboolean | qmi_message_wds_get_profile_settings_output_get_apn_disabled_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_roaming_disallowed_flag ()
gboolean | qmi_message_wds_get_profile_settings_output_get_extended_error_code ()
void | qmi_client_wds_get_profile_settings ()
QmiMessageWdsGetProfileSettingsOutput * | qmi_client_wds_get_profile_settings_finish ()

## Types and Values

| QmiMessageWdsGetProfileSettingsInput
| QmiMessageWdsGetProfileSettingsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsGetProfileSettingsInput
        ╰── QmiMessageWdsGetProfileSettingsOutput

## Description

## Functions

### qmi_message_wds_get_profile_settings_input_new ()

    QmiMessageWdsGetProfileSettingsInput *
    qmi_message_wds_get_profile_settings_input_new
                                   (void);

Allocates a new QmiMessageWdsGetProfileSettingsInput.

#### Returns

the newly created QmiMessageWdsGetProfileSettingsInput. The returned value should be freed with `qmi_message_wds_get_profile_settings_input_unref()`.

Since: 1.8

### qmi_message_wds_get_profile_settings_input_ref ()

    QmiMessageWdsGetProfileSettingsInput *
    qmi_message_wds_get_profile_settings_input_ref
                                   (QmiMessageWdsGetProfileSettingsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |

#### Returns

the new reference to `self` .

Since: 1.8

### qmi_message_wds_get_profile_settings_input_unref ()

    void
    qmi_message_wds_get_profile_settings_input_unref
                                   (QmiMessageWdsGetProfileSettingsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |

Since: 1.8

### qmi_message_wds_get_profile_settings_input_get_profile_id ()

    gboolean
    qmi_message_wds_get_profile_settings_input_get_profile_id
                                   (QmiMessageWdsGetProfileSettingsInput *self,
                                    QmiWdsProfileType *value_profile_id_profile_type,
                                    guint8 *value_profile_id_profile_index,
                                    GError **error);

Get the 'Profile ID' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |
value_profile_id_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
value_profile_id_profile_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_input_set_profile_id ()

    gboolean
    qmi_message_wds_get_profile_settings_input_set_profile_id
                                   (QmiMessageWdsGetProfileSettingsInput *self,
                                    QmiWdsProfileType value_profile_id_profile_type,
                                    guint8 value_profile_id_profile_index,
                                    GError **error);

Set the 'Profile ID' field in the message.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsInput. |
value_profile_id_profile_type | a QmiWdsProfileType. |
value_profile_id_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_ref ()

    QmiMessageWdsGetProfileSettingsOutput *
    qmi_message_wds_get_profile_settings_output_ref
                                   (QmiMessageWdsGetProfileSettingsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |

#### Returns

the new reference to `self` .

Since: 1.8

### qmi_message_wds_get_profile_settings_output_unref ()

    void
    qmi_message_wds_get_profile_settings_output_unref
                                   (QmiMessageWdsGetProfileSettingsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_result ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_result
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_profile_name ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_profile_name
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **value_profile_name,
                                    GError **error);

Get the 'Profile Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_profile_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_pdp_type ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_type
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsPdpType *value_pdp_type,
                                    GError **error);

Get the 'PDP Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_type | a placeholder for the output QmiWdsPdpType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_pdp_header_compression_type ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_header_compression_type
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsPdpHeaderCompressionType *value_pdp_header_compression_type,
                                    GError **error);

Get the 'PDP Header Compression Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_header_compression_type | a placeholder for the output QmiWdsPdpHeaderCompressionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_pdp_data_compression_type ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_data_compression_type
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsPdpDataCompressionType *value_pdp_data_compression_type,
                                    GError **error);

Get the 'PDP Data Compression Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_data_compression_type | a placeholder for the output QmiWdsPdpDataCompressionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_apn_name ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_apn_name
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **value_apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_apn_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_primary_ipv4_dns_address
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *value_primary_ipv4_dns_address,
                                    GError **error);

Get the 'Primary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_primary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_secondary_ipv4_dns_address
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *value_secondary_ipv4_dns_address,
                                    GError **error);

Get the 'Secondary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_secondary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_umts_requested_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_umts_requested_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsTrafficClass *value_umts_requested_qos_traffic_class,
                                    guint32 *value_umts_requested_qos_max_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_max_downlink_bitrate,
                                    guint32 *value_umts_requested_qos_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_requested_qos_qos_delivery_order,
                                    guint32 *value_umts_requested_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_requested_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_requested_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_requested_qos_delivery_erroneous_sdu,
                                    guint32 *value_umts_requested_qos_transfer_delay,
                                    guint32 *value_umts_requested_qos_traffic_handling_priority,
                                    GError **error);

Get the 'UMTS Requested QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_umts_requested_qos_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_requested_qos_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_requested_qos_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_requested_qos_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsTrafficClass *value_umts_minimum_qos_traffic_class,
                                    guint32 *value_umts_minimum_qos_max_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_max_downlink_bitrate,
                                    guint32 *value_umts_minimum_qos_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_minimum_qos_qos_delivery_order,
                                    guint32 *value_umts_minimum_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_minimum_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_minimum_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_minimum_qos_delivery_erroneous_sdu,
                                    guint32 *value_umts_minimum_qos_transfer_delay,
                                    guint32 *value_umts_minimum_qos_traffic_handling_priority,
                                    GError **error);

Get the 'UMTS Minimum QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_umts_minimum_qos_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_minimum_qos_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_minimum_qos_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_minimum_qos_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_gprs_requested_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *value_gprs_requested_qos_precedence_class,
                                    guint32 *value_gprs_requested_qos_delay_class,
                                    guint32 *value_gprs_requested_qos_reliability_class,
                                    guint32 *value_gprs_requested_qos_peak_throughput_class,
                                    guint32 *value_gprs_requested_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Requested QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_gprs_requested_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_gprs_minimum_qos
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *value_gprs_minimum_qos_precedence_class,
                                    guint32 *value_gprs_minimum_qos_delay_class,
                                    guint32 *value_gprs_minimum_qos_reliability_class,
                                    guint32 *value_gprs_minimum_qos_peak_throughput_class,
                                    guint32 *value_gprs_minimum_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Minimum QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_gprs_minimum_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_username ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_username
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **value_username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_username | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_password ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_password
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    const gchar **value_password,
                                    GError **error);

Get the 'Password' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_password | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_authentication ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_authentication
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsAuthentication *value_authentication,
                                    GError **error);

Get the 'Authentication' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_authentication | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv4_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint32 *value_ipv4_address_preference,
                                    GError **error);

Get the 'IPv4 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_ipv4_address_preference | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_pco
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_pcscf_address_using_pco,
                                    GError **error);

Get the 'PCSCF Address Using PCO' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pcscf_address_using_pco | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pcscf_address_using_dhcp
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_pcscf_address_using_dhcp,
                                    GError **error);

Get the 'PCSCF Address Using DHCP' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pcscf_address_using_dhcp | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_imcn_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_imcn_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_imcn_flag,
                                    GError **error);

Get the 'IMCN Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_imcn_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_pdp_context_number ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_context_number
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint8 *value_pdp_context_number,
                                    GError **error);

Get the 'PDP Context Number' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_context_number | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_pdp_context_secondary_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_context_secondary_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_pdp_context_secondary_flag,
                                    GError **error);

Get the 'PDP Context Secondary Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_context_secondary_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_pdp_context_primary_id ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_pdp_context_primary_id
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    guint8 *value_pdp_context_primary_id,
                                    GError **error);

Get the 'PDP Context Primary ID' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_pdp_context_primary_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **value_ipv6_address_preference_address,
                                    GError **error);

Get the 'IPv6 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_ipv6_address_preference_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_umts_requested_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_umts_requested_qos_with_signaling_indication_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsTrafficClass *value_umts_requested_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 *value_umts_requested_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Get the 'UMTS Requested QoS With Signaling Indication Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_signaling_indication | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_umts_minimum_qos_with_signaling_indication_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsTrafficClass *value_umts_minimum_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 *value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Get the 'UMTS Minimum QoS With Signaling Indication Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_primary_dns_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **value_ipv6_primary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Primary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_ipv6_primary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_ipv6_secondary_dns_address_preference
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    GArray **value_ipv6_secondary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Secondary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_ipv6_secondary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_message_wds_get_profile_settings_output_get_lte_qos_parameters ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_lte_qos_parameters
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsQosClassIdentifier *value_lte_qos_parameters_qos_class_identifier,
                                    guint32 *value_lte_qos_parameters_guaranteed_downlink_bitrate,
                                    guint32 *value_lte_qos_parameters_max_downlink_bitrate,
                                    guint32 *value_lte_qos_parameters_guaranteed_uplink_bitrate,
                                    guint32 *value_lte_qos_parameters_max_uplink_bitrate,
                                    GError **error);

Get the 'LTE QoS Parameters' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_lte_qos_parameters_qos_class_identifier | a placeholder for the output QmiWdsQosClassIdentifier, or `NULL` if not required. |
value_lte_qos_parameters_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_get_profile_settings_output_get_apn_disabled_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_apn_disabled_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_apn_disabled_flag,
                                    GError **error);

Get the 'APN Disabled Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_apn_disabled_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_get_profile_settings_output_get_roaming_disallowed_flag ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_roaming_disallowed_flag
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    gboolean *value_roaming_disallowed_flag,
                                    GError **error);

Get the 'Roaming Disallowed Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_roaming_disallowed_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_wds_get_profile_settings_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_profile_settings_output_get_extended_error_code
                                   (QmiMessageWdsGetProfileSettingsOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetProfileSettingsOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.8

### qmi_client_wds_get_profile_settings ()

    void
    qmi_client_wds_get_profile_settings (QmiClientWds *self,
                                         QmiMessageWdsGetProfileSettingsInput *input,
                                         guint timeout,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously sends a Get Profile Settings request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_profile_settings_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetProfileSettingsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.8

### qmi_client_wds_get_profile_settings_finish ()

    QmiMessageWdsGetProfileSettingsOutput *
    qmi_client_wds_get_profile_settings_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_profile_settings()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_profile_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetProfileSettingsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_profile_settings_output_unref()`.

Since: 1.8

## Types and Values

### QmiMessageWdsGetProfileSettingsInput

    typedef struct _QmiMessageWdsGetProfileSettingsInput QmiMessageWdsGetProfileSettingsInput;

The QmiMessageWdsGetProfileSettingsInput structure contains private data and should only be accessed using the provided API.

Since: 1.8

### QmiMessageWdsGetProfileSettingsOutput

    typedef struct _QmiMessageWdsGetProfileSettingsOutput QmiMessageWdsGetProfileSettingsOutput;

The QmiMessageWdsGetProfileSettingsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.8